## exiv2 0.17.1

=== samples/Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 # IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 #
 # File:      Makefile
-# Version:   $Rev: 1366 $
+# Version:   $Rev: 1398 $
 # Author(s): Andreas Huggel (ahu) <ahuggel@gmx.net>
 # History:   08-Oct-07, ahu: created
 #
@@ -55,6 +55,7 @@
 
 # Add source files of sample programs to this list
 BINSRC = addmoddel.cpp        \
+         convert-test.cpp     \
          crwedit.cpp          \
          crwparse.cpp         \
          dataarea-test.cpp    \
@@ -69,6 +70,7 @@
          key-test.cpp         \
          largeiptc-test.cpp   \
          makernote-test.cpp   \
+         stringto-test.cpp    \
          write-test.cpp       \
          write2-test.cpp      \
          tiffparse.cpp        \
