=== src/Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 # IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 #
 # File:      Makefile
-# Version:   $Rev: 1366 $
+# Version:   $Rev: 1404 $
 # Author(s): Andreas Huggel (ahu) <ahuggel@gmx.net>
 # History:   10-Dec-03, ahu: created
 #
@@ -68,7 +68,9 @@
 
 # Add library C++ source files to this list
 CCSRC =  basicio.cpp          \
+	 bmpimage.cpp         \
 	 canonmn.cpp          \
+	 convert.cpp          \
 	 cr2image.cpp         \
 	 crwimage.cpp         \
 	 datasets.cpp         \
@@ -76,9 +78,11 @@
 	 exif.cpp             \
 	 futils.cpp           \
 	 fujimn.cpp           \
+	 gifimage.cpp         \
 	 ifd.cpp              \
 	 image.cpp            \
 	 iptc.cpp             \
+	 jp2image.cpp         \
 	 jpgimage.cpp         \
 	 makernote.cpp        \
 	 makernote2.cpp       \
@@ -93,11 +97,13 @@
 CCSRC += pngimage.cpp         \
 	 pngchunk.cpp
 endif
-CCSRC += rafimage.cpp         \
+CCSRC += psdimage.cpp         \
+	 rafimage.cpp         \
 	 sigmamn.cpp          \
 	 pentaxmn.cpp         \
 	 sonymn.cpp           \
 	 tags.cpp             \
+	 tgaimage.cpp         \
 	 tiffcomposite.cpp    \
 	 tiffimage.cpp        \
 	 tiffparser.cpp       \
@@ -105,8 +111,9 @@
 	 types.cpp            \
 	 value.cpp            \
 	 version.cpp          \
-         properties.cpp       \
-	 xmp.cpp
+	 properties.cpp       \
+	 xmp.cpp              \
+	 xmpsidecar.cpp
 
 # Add library C source files to this list
 ifndef HAVE_TIMEGM
@@ -119,7 +126,7 @@
 # Source files for the Exiv2 application
 EXIV2MAIN = exiv2.cpp
 EXIV2SRC  = actions.cpp       \
-            utils.cpp
+	    utils.cpp
 # C source files for the Exiv2 application
 ifndef HAVE_TIMEGM
 EXIVCSRC  = localtime.c
