## exiv2 0.17.1-1

=== debian/changelog ===
exiv2 (0.17.1-1) unstable; urgency=medium

  * New upstream release
    - Library transition cleared on debian-release/ d-d-a
  * Version 0.17 also fixes:
    - CVE-2008-2696: DoS via metadata in images (Closes: #486328)
    - crashes when fed with wrong file (Closes: #485670)
  * Urgency medium for CVE fix
  * debian/patches/gcc4.3.diff unecessary for gcc-4.3
  * Add /usr/share/bug/exiv2/presubj message for reportbug(1)

 -- Mark Purcell <msp@debian.org>  Sat, 21 Jun 2008 08:23:53 +1000

exiv2 (0.17-1) experimental; urgency=low

  * New upstream release
  * Switch to simple-patchsys.mk
  * Refresh & merge gcc4.3 patches
  * New Package: libexiv2-4 - soname bump
  * Add Build-Depends: libexpat1-dev
  * Upload to experimental to clear NEW processing

 -- Mark Purcell <msp@debian.org>  Tue, 10 Jun 2008 23:05:33 +1000

exiv2 (0.16-4) unstable; urgency=low

  [Ana Beatriz Guerrero Lopez]
  
  * Team upload to address FTBFS with GCC 4.3.
  * Apply patch by Cyril Brulebois to fix FTBFS with GCC 4.3.
    (Closes: #466901)

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sun, 23 Mar 2008 15:42:16 +0100

exiv2 (0.16-3) unstable; urgency=low

  * Remove Conflicts/Replaces libexiv2-0 for libexiv2-2. (Closes: #463852)

 -- Fathi Boudra <fabo@debian.org>  Tue, 05 Feb 2008 00:52:35 +0100

exiv2 (0.16-2) unstable; urgency=low

  * Remove Conflicts/Replaces libexiv2-0 for libexiv2-2. (Closes: #463852)

 -- Fathi Boudra <fabo@debian.org>  Mon, 04 Feb 2008 15:39:20 +0100

exiv2 (0.16-1) unstable; urgency=low

  * New upstream release (Closes: #441524, #455633, #461009)
  * Remove patches, merged upstream:
    * CVE-2007-6353
    * Rev 1124 pull
  * Add 01_gcc4.3.diff patch. Missing std:: removal not merged upstream yet
  * Bump compat to 6
  * Update copyright file
  * Add myself in Uploaders field
  * Clean up build dependencies:
    * Remove g++ and dpkg-dev
    * Add quilt and libexpat1-dev
    * Bump debhelper to 6
  * Bump Standard-Version to 3.7.3
  * Use Homepage field
  * Add Conflicts/Replaces libexiv2-0 for libexiv2-2
  * Clean up rules
  * Add clean target (Closes: 442560)
  * Build with --no-undefined and --as-needed linker flags

 -- Fathi Boudra <fabo@debian.org>  Wed, 16 Jan 2008 09:17:08 +0100

exiv2 (0.15-2) unstable; urgency=high

  [Ana Beatriz Guerrero Lopez]
  * Team upload to fix security bug.
  * Add patch to fix integer overflow in EXIF parsing.
    CVE-2007-6353 (Closes: #456760)

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Mon, 17 Dec 2007 19:13:11 +0100

exiv2 (0.15-1) unstable; urgency=low

  * New upstream release
    - maintenance release, support for Minolta G500 RAW files

 -- Mark Purcell <msp@debian.org>  Sun, 22 Jul 2007 12:20:57 +0100

exiv2 (0.14-2) unstable; urgency=medium

  * DebConf7 release :-)
  * Urgency medium as this fixes a number of crashes in digikam et al
  * Pull in upstream fixes for jpeg/tiff MSC makernote crashes
    (rev 1106/1124)

 -- Mark Purcell <msp@debian.org>  Tue, 19 Jun 2007 12:55:55 +0100

exiv2 (0.14-1) unstable; urgency=low

  * new upstream release (Closes: #414372)

  [ Achim Bohnet ]
  * 0.14 changed API: rename libexiv2-0.12 to libexiv2-0 accordingly.
  * libexiv2-dev: exiv2 has no exiv2-config script anymore.
  * debian/control:
    + Etch does not have a libexiv2 package.  So remove Replaces/Conflict.
    + libexiv2-dev: No need to depend on ${shlibs:Depends}, ${misc:Depends}
  * debian/exiv2.1 removed: included upstream.
  * debian/libexiv2-0: install message catalogs

  [ Mark Purcell ]
  * FTBFS with GCC 4.3: missing #includes (Closes: #417176)
  * Build-Depends: doxygen, graphviz, python, xsltproc
  * Reinstate libexiv2-doc, better to build with doxygen than other tarball
  * Add build/libexiv2-doc:: to debian/rules
  * Rework debian/libexiv2-dev.install
  * Rework debian/libexiv2-doc.docs
  * Rework debian/libexiv2-0.install

 -- Mark Purcell <msp@debian.org>  Wed, 09 May 2007 22:28:37 +0100

exiv2 (0.12-1) unstable; urgency=low

  * Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
  * Switch to cdbs
  * Add debian/watch
  * Ack NMU fix:
    - library package needs to be renamed (libstdc++ allocator change)
    (Closes: #339163)

 -- Mark Purcell <msp@debian.org>  Wed, 14 Mar 2007 08:12:49 +0000

exiv2 (0.10-1.4) unstable; urgency=high

  * Non-Maintainer upload. Again :-(
  * High-urgency upload for RC bugfix
  * Apply Steve Langasek patch to overcome crashes on invalid input
    - Image with corrupted metadata crashes Exiv2 (Closes: #401660)
  * Move usr/lib/*.la  libtool linkage information file to -dev package
    - file conflict with libexiv2-0.10 (Closes: #405805)
  * Move usr/lib/*.so  development linkage file to -dev package
  * Include upstream exiv2.pc in -dev package
    - exiv2.pc is missing (Closes: #396060)
  * Add libexiv2-dev Depends: pkg-config

 -- Mark Purcell <msp@debian.org>  Sun, 21 Jan 2007 21:06:27 +0000

exiv2 (0.12-0.2) experimental; urgency=low

  * Non-maintainer upload. (NMU)
  * Add Build-Depends: zlib1g-dev, thanks Kurt
    - FTBFS: checking zlib in /usr... failed (Closes: #405916)

 -- Mark Purcell <msp@debian.org>  Sun,  7 Jan 2007 12:22:39 +0000

exiv2 (0.12-0.1) experimental; urgency=medium

  * Non-mantainer upload. (NMU)
  * Urgency medium as this fixes RC bugs
  * New upstream bugfix release
    - Image with corrupted metadata crashes Exiv2 (Closes: #401660)
    - new upstream release 0.12 (Closes: #389711)
  * Include upstream exiv2.pc in debian package
    - exiv2.pc is missing (Closes: #396060)
  * Bump soname
    - file conflict with libexiv2 (Closes: #386934)

 -- Mark Purcell <msp@debian.org>  Sat, 23 Dec 2006 18:42:30 +1100

exiv2 (0.10-1.3) unstable; urgency=low

  * NMU.
  * debian/rules dh_makeshlibs -V (Closes: #386899) 

 -- Mark Purcell <msp@debian.org>  Thu, 21 Sep 2006 06:37:22 +0100

exiv2 (0.10-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix overly strict shlibs line. Closes: #386899

