=== debian/control ===
Source: exiv2
Section: graphics
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: KELEMEN Peter <fuji@debian.org>, Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
Build-Depends: cdbs, debhelper (>= 5), chrpath,
 autotools-dev, libexpat1-dev, zlib1g-dev,
 libexpat1-dev,
 python, xsltproc
Standards-Version: 3.7.3
Homepage: http://www.exiv2.org
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/exiv2/trunk
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/exiv2/trunk

Package: exiv2
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: EXIF/IPTC metadata manipulation tool
 Exiv2 can:
 .
  * print the Exif metadata of JPEG, TIFF and several RAW image formats as
    summary info, interpreted values, or the plain data for each tag
  * print the IPTC metadata of JPEG images
  * print, set and delete the JPEG comment of JPEG images
  * set, add and delete Exif and IPTC metadata of JPEG images
  * adjust the Exif timestamp (that's how it all started...)
  * rename Exif image files according to the Exif timestamp
  * extract, insert and delete Exif metadata, IPTC metadata and JPEG comments
  * extract, insert and delete the thumbnail image embedded in the Exif metadata
  * fix the Exif ISO setting of picture taken with Nikon cameras

Package: libexiv2-4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: exiv2
Description: EXIF/IPTC metadata manipulation library
 Exiv2 library supports:
  * full read and write access to the EXIF and IPTC metadata of an image
    through Exiv2 keys and standard C++ iterators
  * a smart IPTC implementation that does not affect data that programs like
    Photoshop store in the same image segment
  * EXIF MakerNote support:
    o MakerNote tags can be accessed just like any other EXIF metadata
    o a sophisticated write algorithm avoids corrupting the MakerNote:
  * extract and delete methods for EXIF thumbnails (both, JPEG and TIFF
    thumbnails)
  * set methods for EXIF thumbnails (JPEG only, TIFF thumbnails can be set from
    individual tags)
  * complete API documentation (by Doxygen)
  * generic lower-level classes to access IFD (Image File Directory) data
    structures

Package: libexiv2-dev
Section: libdevel
Architecture: any
Depends: libexiv2-4 (= ${binary:Version}), pkg-config
Suggests: libexiv2-doc
Description: EXIF/IPTC metadata manipulation library - development files
 Exiv2 C++ header files.
