## exiv2 0.18

=== samples/Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 # IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 #
 # File:      Makefile
-# Version:   $Rev: 1398 $
+# Version:   $Rev: 1592 $
 # Author(s): Andreas Huggel (ahu) <ahuggel@gmx.net>
 # History:   08-Oct-07, ahu: created
 #
@@ -56,24 +56,20 @@
 # Add source files of sample programs to this list
 BINSRC = addmoddel.cpp        \
          convert-test.cpp     \
-         crwedit.cpp          \
-         crwparse.cpp         \
-         dataarea-test.cpp    \
          exifcomment.cpp      \
          exifdata-test.cpp    \
          exifprint.cpp        \
-         ifd-test.cpp         \
          iotest.cpp           \
          iptceasy.cpp         \
          iptcprint.cpp        \
          iptctest.cpp         \
          key-test.cpp         \
          largeiptc-test.cpp   \
-         makernote-test.cpp   \
+         prevtest.cpp         \
          stringto-test.cpp    \
+         tiff-test.cpp        \
          write-test.cpp       \
          write2-test.cpp      \
-         tiffparse.cpp        \
          xmpparse.cpp         \
          xmpparser-test.cpp   \
          xmpsample.cpp
