=== src/Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 # IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 #
 # File:      Makefile
-# Version:   $Rev: 1404 $
+# Version:   $Rev: 1592 $
 # Author(s): Andreas Huggel (ahu) <ahuggel@gmx.net>
 # History:   10-Dec-03, ahu: created
 #
@@ -63,7 +63,6 @@
          exv_msvc.h           \
          mn.hpp               \
          rcsid.hpp            \
-         tifffwd.hpp          \
          version.hpp
 
 # Add library C++ source files to this list
@@ -79,13 +78,11 @@
 	 futils.cpp           \
 	 fujimn.cpp           \
 	 gifimage.cpp         \
-	 ifd.cpp              \
 	 image.cpp            \
 	 iptc.cpp             \
 	 jp2image.cpp         \
 	 jpgimage.cpp         \
 	 makernote.cpp        \
-	 makernote2.cpp       \
 	 metadatum.cpp        \
 	 minoltamn.cpp        \
 	 mrwimage.cpp         \
@@ -97,7 +94,9 @@
 CCSRC += pngimage.cpp         \
 	 pngchunk.cpp
 endif
-CCSRC += psdimage.cpp         \
+CCSRC += preview.cpp          \
+	 properties.cpp       \
+	 psdimage.cpp         \
 	 rafimage.cpp         \
 	 sigmamn.cpp          \
 	 pentaxmn.cpp         \
@@ -106,12 +105,10 @@
 	 tgaimage.cpp         \
 	 tiffcomposite.cpp    \
 	 tiffimage.cpp        \
-	 tiffparser.cpp       \
 	 tiffvisitor.cpp      \
 	 types.cpp            \
 	 value.cpp            \
 	 version.cpp          \
-	 properties.cpp       \
 	 xmp.cpp              \
 	 xmpsidecar.cpp
 
@@ -121,6 +118,7 @@
 endif
 
 # Add source files of simple applications to this list
+# Todo: How can we still support crwedit.cpp, crwparse.cpp
 BINSRC = taglist.cpp
 
 # Source files for the Exiv2 application
@@ -191,12 +189,12 @@
 # ******************************************************************************
 # Rules
 $(CCOBJ): %.o: %.cpp
-	@$(LIBTOOL) --mode=compile $(COMPILE.cc) -o $@ $<
+	@$(LIBTOOL) --mode=compile $(COMPILE.cc) -DEXV_BUILDING_LIB=1 -o $@ $<
 	@$(MAKEDEPEND)
 	@$(POSTDEPEND)
 
 $(COBJ): %.o: %.c
-	@$(LIBTOOL) --mode=compile $(COMPILE.c) -o $@ $<
+	@$(LIBTOOL) --mode=compile $(COMPILE.c) -DEXV_BUILDING_LIB=1 -o $@ $<
 	@$(MAKEDEPEND)
 	@$(POSTDEPEND)
 
@@ -212,7 +210,7 @@
 
 %.ii: %.cpp
 	set -e; \
-	$(CXXCPP) $(CPPFLAGS) $< | sed '/^[ 	]*$$/d' > $@
+	$(CXXCPP) $(CPPFLAGS) -DEXV_BUILDING_LIB=1 $< | sed '/^[ 	]*$$/d' > $@
 
 # ******************************************************************************
 # Targets
