=== xmpsdk/src/Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 # IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 #
 # File:      Makefile
-# Version:   $Rev: 1366 $
+# Version:   $Rev: 1573 $
 # Author(s): Andreas Huggel (ahu) <ahuggel@gmx.net>
 # History:   30-Sep-07, ahu: created
 #
@@ -86,6 +86,10 @@
 
 # For a debug build, replace -DNDEBUG=1 with -DDEBUG=1 -D_DEBUG=1
 CPPFLAGS += -I../include -funsigned-char -DNDEBUG=1 $(EXPAT_CPPFLAGS)
+ifdef HAVE_STDINT
+	CPPFLAGS += -DEXV_HAVE_STDINT_H=1
+endif
+
 LDFLAGS += $(EXPAT_LDFLAGS)
 LIBS += $(EXPAT_LIBS)
